Bug 93735 - update graphics/p5-Image-ExifTool to 6.01
Summary: update graphics/p5-Image-ExifTool to 6.01
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-23 08:10 UTC by Andrew Pantyukhin
Modified: 2006-04-17 18:23 UTC (History)
0 users

See Also:


Attachments
p5-Image-ExifTool.diff (1.31 KB, patch)
2006-02-23 08:10 UTC, Andrew Pantyukhin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Pantyukhin 2006-02-23 08:10:05 UTC
Update to 6.01
This is a bugfix release, chasing 6.00
Comment 1 Edwin Groothuis freebsd_committer 2006-02-23 08:16:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Tod McQuillin 2006-02-23 08:32:20 UTC
Okay, although normally I try to follow a policy of only updating the port
to versions the author designates as "production releases", I'm okay with
updating to 6.01 since it's clearly only bug fixes.

But please use the below patch instead to work towards closing ports/92257 
by adding the CONFLICTS variable to the port Makefile.

Thanks.

Index: Makefile
===================================================================
RCS file: /usr/src/cvs-repo/ports/graphics/p5-Image-ExifTool/Makefile,v
retrieving revision 1.19
diff -u -u -r1.19 Makefile
--- Makefile	22 Feb 2006 16:45:03 -0000	1.19
+++ Makefile	23 Feb 2006 08:27:42 -0000
@@ -6,12 +6,13 @@
  #

  PORTNAME=	Image-ExifTool
-PORTVERSION=	6.00
+PORTVERSION=	6.01
  CATEGORIES=	graphics perl5
  MASTER_SITES=	http://www.sno.phy.queensu.ca/~phil/exiftool/ \
  		${MASTER_SITE_PERL_CPAN}
  MASTER_SITE_SUBDIR=Image
  PKGNAMEPREFIX=	p5-
+CONFLICTS=	py*-exif-*	# this installs bin/exiftool too

  MAINTAINER=	devin@spamcop.net
  COMMENT=	Perl module for getting EXIF data from image files
@@ -44,7 +45,7 @@

  # Maintainer section
  mantags:
-	@cd ${LOCALBASE}/lib/perl5/5.8.7/man/man3/ && \
+	@cd ${LOCALBASE}/lib/perl5/${PERL_VERSION}/man/man3/ && \
  	ls Image::ExifTool::* | cut -f5 -d: | cut -f1 -d. | ${TR} "\n" " "

  .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /usr/src/cvs-repo/ports/graphics/p5-Image-ExifTool/distinfo,v
retrieving revision 1.19
diff -u -u -r1.19 distinfo
--- distinfo	22 Feb 2006 16:45:03 -0000	1.19
+++ distinfo	23 Feb 2006 08:19:20 -0000
@@ -1,3 +1,3 @@
-MD5 (Image-ExifTool-6.00.tar.gz) = 8578f818320a66c7936be0a3b20fcf5a
-SHA256 (Image-ExifTool-6.00.tar.gz) = 1b1e3f6f26c611dc2eda4814f05f0849862124599de74a9b4249196df1f67f91
-SIZE (Image-ExifTool-6.00.tar.gz) = 876655
+MD5 (Image-ExifTool-6.01.tar.gz) = 1e898b3bdfb444a66b4b972566a8c9b3
+SHA256 (Image-ExifTool-6.01.tar.gz) = 99a8f75922d825dfb758cc078a52789aa9a9394a2dc8c000786beded0b786a6b
+SIZE (Image-ExifTool-6.01.tar.gz) = 877791
===> Done
Comment 3 Andrew Pantyukhin 2006-04-01 18:42:48 UTC
The conflict with py-exif has been worked around by
renaming the binary to py-exiftool, no need for
CONFLICTS anymore.
Comment 4 Marcus Alves Grando freebsd_committer 2006-04-17 18:22:56 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!